Форум XBMC и Kodi. Помощь, поддержка, обсуждение, плагины.
   

Вернуться   Форум XBMC и Kodi. Помощь, поддержка, обсуждение, плагины. > Помощь и поддержка > Помощь по плагинам

Ответ
 
Опции темы Опции просмотра
Старый 13.11.2022, 05:23   #161
Unter
Junior Member
 
Регистрация: 13.11.2022
Сообщений: 2
По умолчанию

Здравствуйте. У меня также не запускается проигрывание, ни TAM, ни c ELEMENTUM. ELEMENTUM выдает Internal server error, TAM выводит окно T2HTTP, которое тут же исчезает. В логе в обоих случаях:
ERROR <general>: Playlist Player: skipping unplayable item: 0, path [plugin://plugin.niv.lostfilm/?mode=play_part&id=Pennyworth&param=443003008]
Приставка Nvidia shield pro. ELEMENTUM стоит в виде службы и работает, правда только с зарубежными ресурсами, но это наверное настраивать надо.
Unter вне форума   Ответить с цитированием
   
Старый 13.11.2022, 06:18   #162
NIV
Senior Member
 
Аватар для NIV
 
Регистрация: 15.09.2018
Сообщений: 394
По умолчанию

Цитата:
Сообщение от Unter Посмотреть сообщение
Здравствуйте. У меня также не запускается проигрывание, ни TAM, ни c ELEMENTUM. ELEMENTUM выдает Internal server error, TAM выводит окно T2HTTP, которое тут же исчезает. В логе в обоих случаях:
ERROR <general>: Playlist Player: skipping unplayable item: 0, path [plugin://plugin.niv.lostfilm/?mode=play_part&id=Pennyworth&param=443003008]
Приставка Nvidia shield pro. ELEMENTUM стоит в виде службы и работает, правда только с зарубежными ресурсами, но это наверное настраивать надо.
Сегодня поставлю себе коробочку с андроидом - проверю. Спасибо за информацию
__________________
Поддержка автора:
Яндекс Деньги (ЮMoney): 410012957137927
QIWI: qiwi.com/n/ITUDI109
NIV вне форума   Ответить с цитированием
Старый 13.11.2022, 18:31   #163
NIV
Senior Member
 
Аватар для NIV
 
Регистрация: 15.09.2018
Сообщений: 394
По умолчанию

Цитата:
Сообщение от Unter Посмотреть сообщение
Здравствуйте. У меня также не запускается проигрывание, ни TAM, ни c ELEMENTUM. ELEMENTUM выдает Internal server error, TAM выводит окно T2HTTP, которое тут же исчезает. В логе в обоих случаях:
ERROR <general>: Playlist Player: skipping unplayable item: 0, path [plugin://plugin.niv.lostfilm/?mode=play_part&id=Pennyworth&param=443003008]
Приставка Nvidia shield pro. ELEMENTUM стоит в виде службы и работает, правда только с зарубежными ресурсами, но это наверное настраивать надо.
Проверил.
* Устройство Mecool KM6-deluxe (android 10) - tv box
* kodi-19.4-Matrix-armeabi-v7a.apk - с официального сайта (с магазина только 19.3)
* TorrServe_MatriX.117.Client-release.apk , установка, запуск и обновление до 118 (проверить чтобы включился)

Выбрать в настройках Торрент Движок - TORRSERVER , ничего не менять. Видео нормально запускается. Дважды перепрошил и сбросил систему чтобы проверить - Торрсервер каждый раз без проблем запускал видео

через ТАМ+TorrServer - не работает, T2HTTP - не работает.

Elementum Service сейчас начну проверять...

обновление:
* ElementumService-armeabi-v7a-release-0.1.860049.apk (установка, запуск и разрешить допуск при запросе)
* plugin.video.elementum-0.1.860049.android_client.zip (установить в Коди)
* В настройках Торрент Движок - ELEMENTUM

тоже запускает все файлы.

Пробуйте с Торрсервом если Элементум не запускает
__________________
Поддержка автора:
Яндекс Деньги (ЮMoney): 410012957137927
QIWI: qiwi.com/n/ITUDI109

Последний раз редактировалось NIV; 13.11.2022 в 19:01.
NIV вне форума   Ответить с цитированием
Старый 13.11.2022, 18:56   #164
Q-Tuzoff
Member
 
Регистрация: 25.03.2019
Сообщений: 35
По умолчанию

Цитата:
Сообщение от NIV Посмотреть сообщение
Добрый день, да - лог нужен, у меня все работает, а значит ошибка где-то там в логах...

p.s. если авторизация прошла и плагин запустился - то дальше проблема может быть только в торрент-движке. Для простоты проверки - установить Elementum , выбрать его как проигрыватель в настройках плагина (торрент-движок) и попробовать запустить.
Ссылка на ELEMENTUM есть на первой странице данной темы, для простоты установки скачивать All-in-one
Elementum и установлен.

2022-11-13 20:43:33.381 T:2020 ERROR <general>: Control 55 in window 10025 has been asked to focus, but it can't
2022-11-13 20:43:33.409 T:5396 INFO <general>: initializing python engine.
2022-11-13 20:43:38.149 T:5396 INFO <general>: CPythonInvoker(4, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-13 20:43:38.259 T:5396 INFO <general>: Python interpreter stopped
2022-11-13 20:43:43.181 T:4372 INFO <general>: initializing python engine.
2022-11-13 20:43:45.767 T:4372 INFO <general>: CPythonInvoker(5, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-13 20:43:45.879 T:4372 INFO <general>: Python interpreter stopped
2022-11-13 20:43:50.306 T:2216 INFO <general>: initializing python engine.
2022-11-13 20:43:53.961 T:2216 INFO <general>: CPythonInvoker(6, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-13 20:43:54.073 T:2216 INFO <general>: Python interpreter stopped
2022-11-13 20:43:57.403 T:2252 INFO <general>: initializing python engine.
2022-11-13 20:44:00.871 T:2252 ERROR <general>: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
- NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
Error Type: <class 'KeyError'>
Error Contents: 'content-disposition'
Traceback (most recent call last):
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 1580, in <module>
lostfilm.execute()
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 466, in execute
getattr(self, 'exec_{}'.format(self.params['mode']))()
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 1499, in exec_play_part
file_name = data_request.headers['content-disposition']
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\scrip t.module.requests\lib\requests\structures.py", line 54, in __getitem__
return self._store[key.lower()][1]
KeyError: 'content-disposition'
-->End of Python script error report<--

2022-11-13 20:44:00.984 T:2252 INFO <general>: Python interpreter stopped
2022-11-13 20:44:01.017 T:2020 ERROR <general>: Playlist Player: skipping unplayable item: 0, path [plugin://plugin.niv.lostfilm/?mode=play_part&id=11-22-63&param=272001008]
2022-11-13 20:44:07.908 T:2020 INFO <general>: Loading skin file: DialogButtonMenu.xml, load type: KEEP_IN_MEMORY
2022-11-13 20:44:09.128 T:2020 INFO <general>: Stopping player
2022-11-13 20:44:09.128 T:2020 INFO <general>: Storing total System Uptime
2022-11-13 20:44:09.128 T:2020 INFO <general>: Saving settings
2022-11-13 20:44:09.137 T:2020 INFO <general>: Saving skin settings
2022-11-13 20:44:09.139 T:2020 INFO <general>: Stopping all
2022-11-13 20:44:09.139 T:2020 INFO <general>: ES: Stopping event server
2022-11-13 20:44:09.223 T:5212 WARNING <general>: [plugin.video.elementum] INFO main ▶ Notification Sending SIGHUP signal to shutdown Elementum properly
2022-11-13 20:44:09.461 T:6040 INFO <general>: ES: UDP Event server stopped
2022-11-13 20:44:09.728 T:5212 WARNING <general>: [plugin.video.elementum] INFO main ▶ func1 Shutting down...
2022-11-13 20:44:09.728 T:5212 WARNING <general>: [plugin.video.elementum] INFO proxy ▶ func1 Closing scraper...
2022-11-13 20:44:09.728 T:5212 WARNING <general>: [plugin.video.elementum] INFO library ▶ CloseLibrary Closing library...
2022-11-13 20:44:09.728 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ Close Stopping BT Services...
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Stopping LSD...
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Stopping DHT...
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Stopping UPNP...
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Stopping NATPMP...
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Deleting port mapping 6899: 2
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Deleting port mapping 6897: 3
2022-11-13 20:44:09.729 T:1716 WARNING <general>: [plugin.video.elementum] elementum: exiting elementumd
2022-11-13 20:44:09.729 T:1716 INFO <general>: CPythonInvoker(0, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .video.elementum\service.py): script successfully run
2022-11-13 20:44:09.730 T:1716 INFO <general>: CPythonInvoker(0, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .video.elementum\service.py): waiting on thread 4268
2022-11-13 20:44:09.730 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ Close Stopping Libtorrent session...
2022-11-13 20:44:09.730 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ CloseSession Closing Session
2022-11-13 20:44:09.730 T:4268 WARNING <general>: [plugin.video.elementum] elementumd: exiting elementumd daemon
2022-11-13 20:44:09.730 T:4268 WARNING <general>: [plugin.video.elementum] elementumd: elementumd daemon exited
2022-11-13 20:44:09.734 T:5212 WARNING <general>: [plugin.video.elementum]
2022-11-13 20:44:09.830 T:1716 INFO <general>: Skipped 68 duplicate messages..
2022-11-13 20:44:09.830 T:1716 INFO <general>: CPythonInvoker(0, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .video.elementum\service.py): waiting on thread 6336
2022-11-13 20:44:10.327 T:6336 WARNING <general>: [plugin.video.elementum] elementum: exiting jsonrpc service
2022-11-13 20:44:10.387 T:1716 INFO <general>: Python interpreter interrupted by user
2022-11-13 20:44:10.415 T:5928 INFO <general>: CPythonInvoker(1,
Q-Tuzoff вне форума   Ответить с цитированием
Старый 13.11.2022, 19:06   #165
NIV
Senior Member
 
Аватар для NIV
 
Регистрация: 15.09.2018
Сообщений: 394
По умолчанию

Цитата:
Сообщение от Q-Tuzoff Посмотреть сообщение
Elementum и установлен.

2022-11-13 20:43:33.381 T:2020 ERROR <general>: Control 55 in window 10025 has been asked to focus, but it can't
2022-11-13 20:43:33.409 T:5396 INFO <general>: initializing python engine.
2022-11-13 20:43:38.149 T:5396 INFO <general>: CPythonInvoker(4, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-13 20:43:38.259 T:5396 INFO <general>: Python interpreter stopped
2022-11-13 20:43:43.181 T:4372 INFO <general>: initializing python engine.
2022-11-13 20:43:45.767 T:4372 INFO <general>: CPythonInvoker(5, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-13 20:43:45.879 T:4372 INFO <general>: Python interpreter stopped
2022-11-13 20:43:50.306 T:2216 INFO <general>: initializing python engine.
2022-11-13 20:43:53.961 T:2216 INFO <general>: CPythonInvoker(6, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-13 20:43:54.073 T:2216 INFO <general>: Python interpreter stopped
2022-11-13 20:43:57.403 T:2252 INFO <general>: initializing python engine.
2022-11-13 20:44:00.871 T:2252 ERROR <general>: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
- NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
Error Type: <class 'KeyError'>
Error Contents: 'content-disposition'
Traceback (most recent call last):
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 1580, in <module>
lostfilm.execute()
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 466, in execute
getattr(self, 'exec_{}'.format(self.params['mode']))()
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 1499, in exec_play_part
file_name = data_request.headers['content-disposition']
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\scrip t.module.requests\lib\requests\structures.py", line 54, in __getitem__
return self._store[key.lower()][1]
KeyError: 'content-disposition'
-->End of Python script error report<--

2022-11-13 20:44:00.984 T:2252 INFO <general>: Python interpreter stopped
2022-11-13 20:44:01.017 T:2020 ERROR <general>: Playlist Player: skipping unplayable item: 0, path [plugin://plugin.niv.lostfilm/?mode=play_part&id=11-22-63&param=272001008]
2022-11-13 20:44:07.908 T:2020 INFO <general>: Loading skin file: DialogButtonMenu.xml, load type: KEEP_IN_MEMORY
2022-11-13 20:44:09.128 T:2020 INFO <general>: Stopping player
2022-11-13 20:44:09.128 T:2020 INFO <general>: Storing total System Uptime
2022-11-13 20:44:09.128 T:2020 INFO <general>: Saving settings
2022-11-13 20:44:09.137 T:2020 INFO <general>: Saving skin settings
2022-11-13 20:44:09.139 T:2020 INFO <general>: Stopping all
2022-11-13 20:44:09.139 T:2020 INFO <general>: ES: Stopping event server
2022-11-13 20:44:09.223 T:5212 WARNING <general>: [plugin.video.elementum] INFO main ▶ Notification Sending SIGHUP signal to shutdown Elementum properly
2022-11-13 20:44:09.461 T:6040 INFO <general>: ES: UDP Event server stopped
2022-11-13 20:44:09.728 T:5212 WARNING <general>: [plugin.video.elementum] INFO main ▶ func1 Shutting down...
2022-11-13 20:44:09.728 T:5212 WARNING <general>: [plugin.video.elementum] INFO proxy ▶ func1 Closing scraper...
2022-11-13 20:44:09.728 T:5212 WARNING <general>: [plugin.video.elementum] INFO library ▶ CloseLibrary Closing library...
2022-11-13 20:44:09.728 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ Close Stopping BT Services...
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Stopping LSD...
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Stopping DHT...
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Stopping UPNP...
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Stopping NATPMP...
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Deleting port mapping 6899: 2
2022-11-13 20:44:09.729 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ stopServices Deleting port mapping 6897: 3
2022-11-13 20:44:09.729 T:1716 WARNING <general>: [plugin.video.elementum] elementum: exiting elementumd
2022-11-13 20:44:09.729 T:1716 INFO <general>: CPythonInvoker(0, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .video.elementum\service.py): script successfully run
2022-11-13 20:44:09.730 T:1716 INFO <general>: CPythonInvoker(0, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .video.elementum\service.py): waiting on thread 4268
2022-11-13 20:44:09.730 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ Close Stopping Libtorrent session...
2022-11-13 20:44:09.730 T:5212 WARNING <general>: [plugin.video.elementum] INFO bittorrent ▶ CloseSession Closing Session
2022-11-13 20:44:09.730 T:4268 WARNING <general>: [plugin.video.elementum] elementumd: exiting elementumd daemon
2022-11-13 20:44:09.730 T:4268 WARNING <general>: [plugin.video.elementum] elementumd: elementumd daemon exited
2022-11-13 20:44:09.734 T:5212 WARNING <general>: [plugin.video.elementum]
2022-11-13 20:44:09.830 T:1716 INFO <general>: Skipped 68 duplicate messages..
2022-11-13 20:44:09.830 T:1716 INFO <general>: CPythonInvoker(0, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .video.elementum\service.py): waiting on thread 6336
2022-11-13 20:44:10.327 T:6336 WARNING <general>: [plugin.video.elementum] elementum: exiting jsonrpc service
2022-11-13 20:44:10.387 T:1716 INFO <general>: Python interpreter interrupted by user
2022-11-13 20:44:10.415 T:5928 INFO <general>: CPythonInvoker(1,
угу, спасибо за Логи, ошибку вижу, сейчас внесу исправления, выйдут с ближайшим обновлением.
__________________
Поддержка автора:
Яндекс Деньги (ЮMoney): 410012957137927
QIWI: qiwi.com/n/ITUDI109
NIV вне форума   Ответить с цитированием
Старый 13.11.2022, 20:58   #166
NIV
Senior Member
 
Аватар для NIV
 
Регистрация: 15.09.2018
Сообщений: 394
По умолчанию

LostFilm-0.9.8

- Мелкие исправления, оптимизация

- отключен раздел Архив

- внесены исправления для пользователя Q-Tuzoff (имя файла теперь формируется иначе - ваша ошибка больше не должна выскакивать)

- добавлено новое расписание (таблица). Не содержит изображений и описания, не содержит переходов и просмотров серий.

* Данное расписание точнее чем старое, на несколько месяцев вперед
* на Kodi18 могут возникнуть глюки с кодировкой некоторых названий, не успел
исправить до выхода обновления
* в настройках добавлен раздел выбора Расписания - старое, новое (можно
смотреть полный месяц, а можно начать просмотр с текущей даты)
* по умолчанию выставлено старый тип расписания.
__________________
Поддержка автора:
Яндекс Деньги (ЮMoney): 410012957137927
QIWI: qiwi.com/n/ITUDI109
NIV вне форума   Ответить с цитированием
Старый 14.11.2022, 11:58   #167
Q-Tuzoff
Member
 
Регистрация: 25.03.2019
Сообщений: 35
По умолчанию

Цитата:
Сообщение от NIV Посмотреть сообщение
- внесены исправления для пользователя Q-Tuzoff (имя файла теперь формируется иначе - ваша ошибка больше не должна выскакивать)
По прежнему не работает, к сожалению. Проверьте сами, пожалуйста. Win10, Kodi 19.4, Elementum и Ваш плагин последние.

2022-11-14 13:50:33.157 T:3100 INFO <general>: initializing python engine.
2022-11-14 13:50:40.068 T:3100 INFO <general>: CPythonInvoker(8, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-14 13:50:40.176 T:3100 INFO <general>: Python interpreter stopped
2022-11-14 13:50:43.462 T:992 INFO <general>: initializing python engine.
2022-11-14 13:50:51.916 T:992 ERROR <general>: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
- NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
Error Type: <class 'bencode.exceptions.BencodeDecodeError'>
Error Contents: not a valid bencoded string
Traceback (most recent call last):
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\resources\lib\bencode\__init__.py", line 180, in bdecode
r, l = decode_func[value[0:1]](value, 0)
KeyError: b'<'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 1738, in <module>
lostfilm.execute()
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 480, in execute
getattr(self, 'exec_{}'.format(self.params['mode']))()
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 1667, in exec_play_part
confirm = self.exec_selector_part(series_index=serial_episod e, torrent_url=torrent_file)
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 1693, in exec_selector_part
index = get_index(torrent_url, index)
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\resources\lib\utility.py", line 34, in get_index
torrent = bencode.bdecode(torrent_data)
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\resources\lib\bencode\__init__.py", line 182, in bdecode
raise BencodeDecodeError("not a valid bencoded string")
bencode.exceptions.BencodeDecodeError: not a valid bencoded string
-->End of Python script error report<--
2022-11-14 13:50:52.029 T:992 INFO <general>: Python interpreter stopped
2022-11-14 13:50:52.073 T:5920 ERROR <general>: Playlist Player: skipping unplayable item: 0, path [plugin://plugin.niv.lostfilm/?mode=play_part&id=This_Is_Us&param=317006002]
2022-11-14 13:50:57.951 T:4808 INFO <general>: initializing python engine.
2022-11-14 13:50:58.365 T:4808 INFO <general>: CPythonInvoker(10, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-14 13:50:58.436 T:4808 INFO <general>: Python interpreter interrupted by user
2022-11-14 13:50:58.436 T:4396 ERROR <general>: XFILE::CDirectory::GetDirectory - Error getting plugin://plugin.niv.lostfilm/
2022-11-14 13:50:58.441 T:5920 ERROR <general>: CGUIMediaWindow::GetDirectory(plugin://plugin.niv.lostfilm/) failed
2022-11-14 13:50:58.444 T:6664 INFO <general>: initializing python engine.
2022-11-14 13:50:58.850 T:6664 INFO <general>: CPythonInvoker(11, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-14 13:50:58.918 T:6664 INFO <general>: Python interpreter interrupted by user
2022-11-14 13:50:58.918 T:5008 ERROR <general>: XFILE::CDirectory::GetDirectory - Error getting plugin://plugin.niv.lostfilm/
2022-11-14 13:50:58.922 T:5920 ERROR <general>: CGUIMediaWindow::GetDirectory(plugin://plugin.niv.lostfilm/) failed
2022-11-14 13:50:58.924 T:7100 ERROR <general>: Unable to find plugin
2022-11-14 13:50:58.924 T:7100 ERROR <general>: XFILE::CDirectory::GetDirectory - Error getting plugin://
2022-11-14 13:50:58.925 T:5920 ERROR <general>: CGUIMediaWindow::GetDirectory(plugin://) failed

Q-Tuzoff вне форума   Ответить с цитированием
Старый 14.11.2022, 13:14   #168
NIV
Senior Member
 
Аватар для NIV
 
Регистрация: 15.09.2018
Сообщений: 394
По умолчанию

Цитата:
Сообщение от Q-Tuzoff Посмотреть сообщение
По прежнему не работает, к сожалению. Проверьте сами, пожалуйста. Win10, Kodi 19.4, Elementum и Ваш плагин последние.

2022-11-14 13:50:33.157 T:3100 INFO <general>: initializing python engine.
2022-11-14 13:50:40.068 T:3100 INFO <general>: CPythonInvoker(8, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-14 13:50:40.176 T:3100 INFO <general>: Python interpreter stopped
2022-11-14 13:50:43.462 T:992 INFO <general>: initializing python engine.
2022-11-14 13:50:51.916 T:992 ERROR <general>: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
- NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
Error Type: <class 'bencode.exceptions.BencodeDecodeError'>
Error Contents: not a valid bencoded string
Traceback (most recent call last):
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\resources\lib\bencode\__init__.py", line 180, in bdecode
r, l = decode_func[value[0:1]](value, 0)
KeyError: b'<'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 1738, in <module>
lostfilm.execute()
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 480, in execute
getattr(self, 'exec_{}'.format(self.params['mode']))()
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 1667, in exec_play_part
confirm = self.exec_selector_part(series_index=serial_episod e, torrent_url=torrent_file)
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\lostfilm.py", line 1693, in exec_selector_part
index = get_index(torrent_url, index)
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\resources\lib\utility.py", line 34, in get_index
torrent = bencode.bdecode(torrent_data)
File "C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugi n.niv.lostfilm\resources\lib\bencode\__init__.py", line 182, in bdecode
raise BencodeDecodeError("not a valid bencoded string")
bencode.exceptions.BencodeDecodeError: not a valid bencoded string
-->End of Python script error report<--
2022-11-14 13:50:52.029 T:992 INFO <general>: Python interpreter stopped
2022-11-14 13:50:52.073 T:5920 ERROR <general>: Playlist Player: skipping unplayable item: 0, path [plugin://plugin.niv.lostfilm/?mode=play_part&id=This_Is_Us&param=317006002]
2022-11-14 13:50:57.951 T:4808 INFO <general>: initializing python engine.
2022-11-14 13:50:58.365 T:4808 INFO <general>: CPythonInvoker(10, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-14 13:50:58.436 T:4808 INFO <general>: Python interpreter interrupted by user
2022-11-14 13:50:58.436 T:4396 ERROR <general>: XFILE::CDirectory::GetDirectory - Error getting plugin://plugin.niv.lostfilm/
2022-11-14 13:50:58.441 T:5920 ERROR <general>: CGUIMediaWindow::GetDirectory(plugin://plugin.niv.lostfilm/) failed
2022-11-14 13:50:58.444 T:6664 INFO <general>: initializing python engine.
2022-11-14 13:50:58.850 T:6664 INFO <general>: CPythonInvoker(11, C:\Users\Odroid\AppData\Roaming\Kodi\addons\plugin .niv.lostfilm\lostfilm.py): script successfully run
2022-11-14 13:50:58.918 T:6664 INFO <general>: Python interpreter interrupted by user
2022-11-14 13:50:58.918 T:5008 ERROR <general>: XFILE::CDirectory::GetDirectory - Error getting plugin://plugin.niv.lostfilm/
2022-11-14 13:50:58.922 T:5920 ERROR <general>: CGUIMediaWindow::GetDirectory(plugin://plugin.niv.lostfilm/) failed
2022-11-14 13:50:58.924 T:7100 ERROR <general>: Unable to find plugin
2022-11-14 13:50:58.924 T:7100 ERROR <general>: XFILE::CDirectory::GetDirectory - Error getting plugin://
2022-11-14 13:50:58.925 T:5920 ERROR <general>: CGUIMediaWindow::GetDirectory(plugin://) failed

хм.. плагин по неизвестным причинам не может у вас получить торрент файл. Либо блокируется, либо какое-то дополнительное защитное окно, либо другая проблема.
Возможно проблема с авторизацией - старые куки файлы могут вызывать подобный сбой при получении торрента.

поэтому по порядку:

в контекстном меню выбрать Обновить Авторизация (меню вызывается долгим нажатием)




если пройдет без ошибок , то выйти из плагина, зайти в любой другой плагин и снова зайти в плагин Лоста (это нужно чтобы из памяти выкинуло остатки)
==

если не помогло - удалить плагин целиком, запустить любой другой, выйти и установить плагин Лоста.

аккуратно провести авторизацию и попробовать.

вот мои настройки, win10 , Kodi19 - все работает отлично




===

и последний вариант ,если первые два не сработали - установить Коди-18 и попробовать запустить в нем (Коди-18 и Коди-19 обычным способом одновременно не устанавливаются - коди19 будет удален, внимательно если у вас там настройки и плагины).

p.s. отпишитесь о результатах после Обновления Авторизации, пожалуйста. Подобная ошибка раньше не встречалась, в таком виде, поэтому мне важно знать , как и где можно помочь людям в исправлении. Спасибо вам за помощь.
__________________
Поддержка автора:
Яндекс Деньги (ЮMoney): 410012957137927
QIWI: qiwi.com/n/ITUDI109
NIV вне форума   Ответить с цитированием
Старый 14.11.2022, 14:26   #169
Q-Tuzoff
Member
 
Регистрация: 25.03.2019
Сообщений: 35
По умолчанию

Цитата:
Сообщение от NIV Посмотреть сообщение
p.s. отпишитесь о результатах после Обновления Авторизации, пожалуйста. Подобная ошибка раньше не встречалась, в таком виде, поэтому мне важно знать , как и где можно помочь людям в исправлении. Спасибо вам за помощь.
Попробовал и авторизацию обновить, и плагин переставить. Не помогает.
Спотыкается, говорите... Ну, через браузеры же всё работает. Обход блокировок использую через роутер через подсеть TOR.
Попробовал зеркала (.uno, .win, .run), которые вообще не заблокированы провайдером - вылазит информационное окошко при открытии плагина "проверьте логин и пароль" и открывается окно настроек. В итоге проходит авторизацию лишь основной домен .tv
Q-Tuzoff вне форума   Ответить с цитированием
Старый 14.11.2022, 15:32   #170
Lucky
Member
 
Регистрация: 25.04.2020
Сообщений: 34
По умолчанию

Q-Tuzoff, Через Tor у них там cloudflare везде вылазит и саму сеть блокируют, плагин работать не будет.

Последний раз редактировалось Lucky; 14.11.2022 в 15:41.
Lucky вне форума   Ответить с цитированием
Ответ
 


Здесь присутствуют: 1 (пользователей: 0 , гостей: 1)
 
Опции темы
Опции просмотра

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
LostFilm.tv for TS TDW1980 Помощь по плагинам 2166 28.01.2023 17:56
LostFilm.tv by Anteo safonov_ivan Помощь по плагинам 291 15.12.2021 06:45


Текущее время: 22:09. Часовой пояс GMT +3.


Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2023, Jelsoft Enterprises Ltd.